#!/bin/sh
#
# This script is written by Zhu Yi, (zhu.yi@intel.com). 
#
# This test assums the following snmp sever settings:
# a "public" community is set, and you have rw access.
# SNMP server is configured as a AgentX master agent.
# 

# uncomment the following lines if you don't want to restart the daemons.
/etc/rc.d/init.d/snmpd restart
/etc/rc.d/init.d/evsubagentd restart

export MIBS=ALL
set -x

OPTIONS="-v 2c -c public localhost"
action ()
{
query=`snmpgetnext ${OPTIONS} LELNotifyNextIndex |gawk -F': ' '{print $2}'`
notify=`snmpgetnext ${OPTIONS} LELQueryNextIndex |gawk -F': ' '{print $2}'`

snmpset ${OPTIONS} lelQueryRowStatus.${query} = createAndGo lelQueryString.${query} = '(age < "9s" && data != "printk testing This is a facility test!")' lelQueryPurpose.${query} = notify

snmpset ${OPTIONS} lelQueryRowStatus.${query} = active

snmpset ${OPTIONS} lelNotifyRowStatus.${notify} = createAndGo lelNotifyQueryId.${notify} = ${query} lelNotifyOnceOnly.${notify} = false lelNotifyTrapGeneric.${notify} = true

snmpset ${OPTIONS} lelNotifyRowStatus.${notify} = active

/sbin/evlsend -f KERN -t 7 -s 3 -m 'This is a facility test.'

sleep 3

snmpset ${OPTIONS} lelNotifyRowStatus.${notify} = destroy

snmpset ${OPTIONS} lelQueryRowStatus.${query} = destroy
}

ret=0
while [ ${ret} -eq 0 ]; do
	action
	ret=$?
done

echo
echo "**********************************"
echo "Error occured, see what happened .."
snmpwalk ${OPTIONS} LELEventQuery
snmpwalk ${OPTIONS} LELEventNotify

